using UnityEngine;
using System.Collections;

public class Line : Group {

	public Vector3 add = new Vector3(0,0,0);
	public float mul = 1;
	private Vector3 _add;
	private float _mul;


	// Use this for initialization
	void Start () {
		base.Start();
		Update();
	}

	void Update(){
		if(_add!=add||_mul!=mul){
			_add=add;
			_mul=mul;
			this.applyToAll(position);
		}

	}

	void position(GameObject g,int i){
		g.transform.localPosition = add*i*mul;
	}

}
